Subject: Re: [PATCH 4/6] Documentation: Update manpage for pre-commit hook

From: Jonathan Nieder <[email-masked]>
Date: Sun, 14 Jul 2013 11:51:04 -0700

Richard Hartmann wrote:

> --- a/Documentation/githooks.txt
> +++ b/Documentation/githooks.txt
> @@ -80,7 +80,8 @@ causes the 'git commit' to abort.
>  
>  The default 'pre-commit' hook, when enabled, catches introduction
>  of lines with trailing whitespaces and aborts the commit when
> -such a line is found.
> +such a line is found. It will also prevent addition of non-ASCII
> +file names.

The tenses are inconsistent here ("catches" versus "will also").

It also seems odd to call the sample hooks "default" hooks, but that's
a wider problem and should probably be fixed by one commit all at once
(maybe imitating the wording of the prepare-commit-message
description).  Previously enabling them was a matter of a "chmod +x"
and the wording made more sense.

How about:

	The default 'pre-commit' hook, when enabled, prevents introduction
	of lines with trailing whitespace and prevents introduction of
	files with non-ASCII filenames unless the hooks.allowNonAscii
	configuration variable is true.